/******************************************************************
 *
 *  File:   ioc_cmds.h
 *
 *  Author: Nick Vaccaro <nvaccaro@lab126.com>
 *
 *  Date:   08/06/06
 *
 *  Copyright 2006, Lab126, Inc.  All rights reserved.
 *
 *  Description:
 *      Prototypes from ioc_cmds.c
 *
 ******************************************************************/
#include <linux/autoconf.h>

#ifdef CONFIG_IOC
#include "ioc_hal.h"

#ifdef CONFIG_FIONA_PM_IOC
int     IOC_Echo(void);
int     IOC_Enable_PowerSaving(unsigned short enable);
#endif

int     IOC_Enable_Buttons(unsigned short enable);
int     IOC_Enable_ScrollWheel(unsigned short enable);
int     IOC_Enable_PNLCD(unsigned short enable);
void    IOC_Query_Battery_Info(Battery_Info_T *info);
int     IOC_Reset_Last_Wake_Condition(void);
int     get_battery_mili_voltage(void);
void    fiona_receive(struct fiona_struct *k);
void    report_fw_engine_version(void);
int     get_ioc_firmware_version(int *version, int force_update);
int     IOC_Enable_Keyboard_Wake(unsigned short enable);
int     IOC_Enable_Scroll_Wake(unsigned short enable);
int     IOC_Enable_Battery_Voltage_Low_Reporting(unsigned short enable, int mvolts);
int     ac_adapter_installed(void);
int     get_current_lowbatt_mvolt_level(void);


#endif // CONFIG_IOC
