/******************************************************************
 *
 *  File:   ioc_pm.h
 *
 *  Author: Nick Vaccaro <nvaccaro@lab126.com>
 *
 *  Date:   05/11/06
 *
 * Copyright 2006, Lab126, Inc.  All rights reserved.
 *
 *  Description:
 *     Routines & globals related to IOC support of Fiona Power Mangement
 *
 ******************************************************************/
#ifndef __IOC_PM_H__
#define __IOC_PM_H__

#include <linux/autoconf.h>

#ifdef CONFIG_FIONA_PM_IOC

#include <asm/arch/fpow.h>

// Global holding current FPOW power state of the driver
extern FPOW_POWER_MODE  g_ioc_power_mode;

// Global holding fpow device entry returned from fpow_register()
extern struct fpow_component *g_ioc_fpow_component_ptr;

// Registration routines
extern int ioc_register_with_fpow(struct device *dev, struct fpow_component **fpow_dev);
extern void ioc_unregister_with_fpow(struct fpow_component *fpow_dev);

// Power Information
extern int ioc_awake(void);

#endif 	// CONFIG_FIONA_PM_IOC

#endif	// __IOC_PM_H__
