#include "apollo.h"

static int ack_timeout_count = 0;

int wait_for_ack_irq(void) {
    g_ack_timed_out = (MAX_TIMEOUTS <= ack_timeout_count) ? true : false;

    if (g_ack_timed_out) {
        puts("wait_for_ack_irq: too many timeouts, rebooting...\n");
        do_reboot();
    
    } else {
        unsigned long start_time;
    
        reset_timer(); start_time = get_timer(0);
    
        while (!g_ack_timed_out && (0 != apollo_get_ack())) {
            if (MAX_TIMEOUT < get_timer(start_time)) {
                printf("wait_for_ack_irq: acks timed out = %d\n", ++ack_timeout_count);
                g_ack_timed_out = true;
            }
        }
    }

    return 1;
}

int needs_to_enable_temp_sensor(void) {
#ifdef NEEDS_TO_ENABLE_TEMP_SENSOR
    return 1;
#else
    return 0;
#endif
}

