#ifndef __FPOW_EVENTS_H__
#define __FPOW_EVENTS_H__

/*
 * FPOW_EVENT are possible system events that can cause
 * Fiona to transition to a different power state.
 */
typedef enum FPOW_EVENT {
    INVALID_EVENT = -1,
    POWER_SWITCH_ON_EVENT = 0,
    POWER_SWITCH_OFF_EVENT,
    WAN_SWITCH_ON_EVENT,
    WAN_SWITCH_OFF_EVENT,
    BUTTON_PRESS_EVENT,
    SCROLLWHEEL_EVENT,
    KEY_PRESS_EVENT,
    MMC_EVENT,
    AC_PLUG_INSERTED_EVENT,
    AC_PLUG_REMOVED_EVENT,
    USB_PLUG_INSERTED_EVENT,
    USB_PLUG_REMOVED_EVENT,
    HEADPHONES_INSERTED_EVENT,
    HEADPHONES_REMOVED_EVENT,
    TIMEOUT_EVENT,
    LOW_BATTERY_EVENT,
    CRITICAL_BATTERY_EVENT,
    OUT_OF_POWER_EVENT,
    WAN_RING_EVENT,
    AUDIO_ON_EVENT,
    AUDIO_OFF_EVENT,
    TIMEOUT2_EVENT,
    VALID_PASSWORD_EVENT,
    VIDEO_UPDATED_EVENT,
    KEYLOCK_EVENT,
    PRIME_EVENT,
    NO_WAN_BATTERY_EVENT,
    INVALID_PASSWORD_EVENT,
    WATERMARK_CHECK_EVENT,
    TPH_COMPLETE_EVENT,
    USB_WAKE_EVENT,
    TIMEOUT_USB_WAKE_EVENT,
    TIMEOUT3_EVENT,
    WAN_SWITCH_SWEEPER_EVENT,
    TWO_FINGER_SWEEPER_EVENT,
    FPOW_NUM_OF_EVENTS
}FPOW_EVENT;

#endif // __FPOW_EVENTS_H__

