/*
 * ac97.c  --  ALSA Soc AC97 codec support
 *
 * Copyright 2005 Wolfson Microelectronics PLC.
 * Author: Liam Girdwood
 *         liam.girdwood@wolfsonmicro.com or linux@wolfsonmicro.com
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  either version 2 of the  License, or (at your
 *  option) any later version.
 *
 *  Revision history
 *    17th Oct 2005   Initial version.
 */

#include <linux/init.h>
#include <linux/module.h>
#include <linux/version.h>
#include <linux/kernel.h>

#include <sound/driver.h>
#include <sound/core.h>
#include <sound/pcm.h>
#include <sound/ac97_codec.h>
#include <sound/initval.h>
#include <sound/soc.h>

static int ac97_soc_add_widgets(struct snd_soc_codec * codec)
{
	return 0;
}

static void ac97_soc_device_release(struct device * dev)
{
}

static int ac97_soc_suspend(struct snd_soc_codec *codec, pm_message_t state)
{
	//snd_soc_pcm_interface_t *i = codec->interface;
	//snd_ac97_suspend(i->ac97);
	return 0;
}	

static int ac97_soc_resume(struct snd_soc_codec *codec)
{
	//snd_soc_pcm_interface_t *i = codec->interface;
	//snd_ac97_resume(i->ac97);
	return 0;
}

static struct snd_soc_pcm_codec ac97_soc_client = {
	.name = "AC97 Audio",
	.playback = {
		.sname = "AC97 Playback",
		.rates = SNDRV_PCM_RATE_8000 | SNDRV_PCM_RATE_16000 |
		SNDRV_PCM_RATE_32000 | SNDRV_PCM_RATE_44100 | SNDRV_PCM_RATE_48000,
		.formats = SNDRV_PCM_FMTBIT_S16_LE,
		.channels_min = 1,
		.channels_max = 2,},
	.capture = {
		.sname = "AC97 Capture",
		.rates = SNDRV_PCM_RATE_8000 | SNDRV_PCM_RATE_16000 | 
		SNDRV_PCM_RATE_32000 | SNDRV_PCM_RATE_44100 | SNDRV_PCM_RATE_48000,
		.formats = SNDRV_PCM_FMTBIT_S16_LE,
		.channels_min = 1,
		.channels_max = 2,},
};

static struct snd_soc_codec ac97_soc_codec;
static snd_pcm_t *pcm_ac97;

static int ac97_soc_probe(struct snd_soc_codec *codec)
{
	int ret;
	
//	if((ret = snd_soc_pcm_new(codec, 0, &ac97_soc_client, 
//		&pcm_ac97, 1, 1, SND_SOC_AC97, 0)) < 0)
//		return ret;
	
	ac97_soc_add_widgets(&ac97_soc_codec);

	return ret;
}

/* 
 * unregister interfaces and clean up
 */
static void ac97_soc_remove(struct snd_soc_codec *codec)
{

}

static struct snd_soc_codec ac97_soc_codec = {
	.name = "SoC AC97",
	.longname = "ALSA SoC Generic AC97 Codec",
	.owner = THIS_MODULE,
	.pdev = {
		.name		= "SoC AC97 Codec",
		.id		= -1,
		.dev		= {.release = ac97_soc_device_release},
	},
	.probe = ac97_soc_probe,
	.remove = ac97_soc_remove,
	.suspend = ac97_soc_suspend,
	.resume = ac97_soc_resume,
};	

static int __init ac97_init(void)
{	
	return snd_soc_register_codec(&ac97_soc_codec);
}

static void __exit ac97_exit(void)
{
	snd_soc_unregister_codec(&ac97_soc_codec);
}

module_init(ac97_init);
module_exit(ac97_exit);

MODULE_DESCRIPTION("Soc Generic AC97 driver");
MODULE_AUTHOR("Liam Girdwood");
MODULE_LICENSE("GPL");
